Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.orbportability.common.ant
Class IDLBuildListElement

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              com.arjuna.orbportability.common.ant.IDLBuildListElement

public class IDLBuildListElement
extends org.apache.tools.ant.Task

Field Summary
`protected java.lang.String` | `_mapping`
`protected java.lang.String` | `_package`
`protected java.lang.String` | `_source`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`IDLBuildListElement()`

Method Summary
`void` | `execute()`
`void` | `initialise(org.apache.tools.ant.Project p)`
`void` | `setMappings(java.lang.String mapping)`
`void` | `setPackage(java.lang.String pckg)`
`void` | `setSrc(java.lang.String src)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _source

    protected java.lang.String _source

### _package

    protected java.lang.String _package

### _mapping

    protected java.lang.String _mapping

Constructor Detail

### IDLBuildListElement

    public IDLBuildListElement()

Method Detail

### initialise

    public void initialise(org.apache.tools.ant.Project p)

### setSrc

    public void setSrc(java.lang.String src)

### setPackage

    public void setPackage(java.lang.String pckg)

### setMappings

    public void setMappings(java.lang.String mapping)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD